# Get

`GET /api/2.1/unity-catalog/permissions/{securable_type}/{securable_full_name}`

Gets the permissions for a securable. Does not include inherited permissions.

 NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

 PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Path parameters

- `securable_type` (string, optional)
  Type of securable.
- `securable_full_name` (string, optional)
  Full name of securable.

## Query parameters

- `principal` (string, optional)
  If provided, only the permissions for the specified principal (user or group) are returned.
- `max_results` (int32, optional)
  Specifies the maximum number of privileges to return (page length).
   Every PrivilegeAssignment present in a single page response is guaranteed to contain all the privileges granted on
   the requested Securable for the respective principal.
  
   If not set, all the permissions are returned.
   If set to
     - lesser than 0: invalid parameter error
     - 0: page length is set to a server configured value
     - lesser than 150 but greater than 0: invalid parameter error (this is to ensure that server is able to return at
       least one complete PrivilegeAssignment in a single page response)
     - greater than (or equal to) 150: page length is the minimum of this value and a server configured value
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of PrivilegeAssignment objects.

## Response

```json
{
  "next_page_token": "string",
  "privilege_assignments": [
    {
      "principal": "string",
      "privileges": "SELECT"
    }
  ]
}
```

